Subject: [bug#65879] [gnome-team v2 0/1] Still failing: Updage gnome-control-center and disable the firmware security panel

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 16 Sep 2023 06:02:49 +0200

Am Samstag, dem 16.09.2023 um 00:13 +0200 schrieb Vivien Kraus:
> Le mardi 12 septembre 2023 à 22:41 +0200, Liliana Marie Prikler a
> écrit :
> > GDB spits out the following:
> > 
> > Thread 1 ".gnome-control-" received signal SIGABRT, Aborted.
> > 0x00007ffff60a3fec in __pthread_kill_implementation () from
> > /gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-
> > 2.35/lib/libc.so.6
> > (gdb) up
> > #1  0x00007ffff605a202 in raise () from
> > /gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-
> > 2.35/lib/libc.so.6
> > (gdb) 
> > #2  0x00007ffff604545b in abort () from
> > /gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-
> > 2.35/lib/libc.so.6
> > (gdb) 
> > #3  0x00007ffff7c3fe62 in ?? () from
> > /gnu/store/ckysqidiiw88bw1kdyndjcrsakrysxkn-glib-
> > 2.76.1/lib/libglib-
> > 2.0.so.0
> > (gdb) 
> > #4  0x00007ffff7ca413b in g_assertion_message_expr () from
> > /gnu/store/ckysqidiiw88bw1kdyndjcrsakrysxkn-glib-
> > 2.76.1/lib/libglib-
> > 2.0.so.0
> > (gdb) 
> > #5  0x000000000045daaf in cc_object_storage_add_object ()
> > (gdb) 
> > #6  0x00000000005212d7 in cc_wifi_panel_static_init_func ()
> > (gdb) 
> 
> Since it runs on a foreign distro, I would like to make sure that
> it’s not just a compatibility problem between the system network-
> manager service and the client library used by gnome-control-center.
> However, I cannot run guix system vm, because qemu is broken at the
> moment, and I did not find a way to run a guix system image.
You can probably fake that using dbus-run-session, but again note the
disabled test; I'm not sure you will get a good result.  As for the
qemu thing, maybe that takes priority then? :)

Cheers